@charset "utf-8";
/* General Css */

* {
    outline: none
}

html, body {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    font-size: 12px;
    font-family: 'Source Sans Pro', sans-serif;
    background: url('img/bg_t.png') repeat #FFFFFF;
    color: #502709;
}

ul, p {
    margin: 0;
    padding: 0;
}

.clear {
    height: 0px;
    padding: 0px;
    margin: 0px;
    line-height: 0px;
    clear: both;
}

.hide {
    display: none;
}

#nextStepListView tr.hide {
    display: table-row;
}

a, a.under:hover {
    text-decoration: none;
}

a:hover, a.under {
    text-decoration: underline;
}

a.nounder {
    text-decoration: none;
}

img {
    border: none;
    vertical-align: middle;
}

table {
    border-collapse: collapse;
}

form {
    margin: 0;
    padding: 0;
}

.placeholder {
    color: #9E9189;
}

button::-moz-focus-inner {
    border: 0;
    padding: 0;
}

.contextMenu {
    position: absolute;
    width: 120px;
    z-index: 1000;
    border: solid 1px #CCC;
    background: #EEE;
    padding: 0px;
    margin: 0px;
    display: none;
}

input, textarea, button {
    vertical-align: middle;
    border: 1px solid #BCBDB8;
    background: #F5F5F5;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    border-radius: 5px;
    font-size: 12px;
    line-height: 16px;
    font-family: 'Source Sans Pro', sans-serif;
    resize: none;
    outline: none
}

button:hover {
    background: #FCFCFC;
    cursor: pointer;
}

input:disabled, textarea:disabled {
    background: #dddddd;
}

input::-webkit-input-placeholder, textarea::-webkit-input-placeholder {
    color: #9E9189;
}

input:-moz-placeholder, textarea:-moz-placeholder {
    color: #9E9189 !important;
}

input:-ms-input-placeholder, textarea:-moz-placeholder {
    color: #9E9189;
}

input.inputIconCal {
    background: url('img/input_cal.png') 98% center no-repeat #F5F5F5;
    cursor: pointer;
}

input.invalidInput {
    background: url('img/input_invalid.png') 98% center no-repeat #F5F5F5 !important;
}

input.inputIconAdd {
    background: url('img/input_add.png') 98% center no-repeat #F5F5F5;
    cursor: pointer;
}

input.inputIconDelete, div.inputIconDelete {
    background: url('img/input_delete.png') 98% center no-repeat #F5F5F5;
    cursor: pointer;
}

input.inputIconSearch, div.inputIconSearch {
    background: url('img/input_search_gray.png') 98% center no-repeat #F5F5F5;
    cursor: pointer;
}

#header {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    height: 30px;
    background: #4d4d4d;
    border-bottom: 1px solid #0b172a;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.nav_item {
    font-size: 15px;
    display: block;
    -webkit-user-select: none;
    position: relative;
    float: left;
    width: 165px;
    height: 30px;
    line-height: 30px;
    text-align: center;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    color: #d9d9d9;
    cursor: pointer;
}

.nav_item.rightMenu {
    float: right;
}

.nav_item.no_link {
    cursor: default;
}

.nav_item:hover, .nav_item.active, span.nav_link.active {
    color: #ffffff;
}

.nav_item .sub_menu {
    position: absolute;
    display: none;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    min-width: 110%;
    top: 100%;
    right: 0;
    background: #ffffff;
    color: #333333;
    z-index: -1;
    -webkit-border-bottom-right-radius: 3px;
    -webkit-border-bottom-left-radius: 3px;
    -moz-border-radius-bottomright: 3px;
    -moz-border-radius-bottomleft: 3px;
    border-bottom-right-radius: 3px;
    border-bottom-left-radius: 3px;
    border: 1px solid #000000;
    box-shadow: 0 1px 2px #15223b;
    z-index: 3;
}

.nav_item:hover .sub_menu, .nav_item.hover .sub_menu {
    display: block;
}

.nav_item .sub_menu span {
    display: block;
    cursor: pointer;
}

.nav_item .sub_menu span:hover {
    color: #ffffff;
    background: #4d4d4d;
}

#content {
    position: absolute;
    top: 30px;
    bottom: 0;
    left: 0;
    right: 0;
}

#mainContent {
    padding: 20px 50px;
}

#mainContent.tableLayout {
    display: block;
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
}

#mainContent.tableLayout .centerCell {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
}

#mainContent.showNoSchedule #noSchedule {
    background: #D7FFD7;
}

#mainContent.showNoSchedule tr.jobEvent {
    display: none;
}

#mainContent.showNoSchedule tr.noSchedule {
    display: table-row;
}

#mainContent button {
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    cursor: pointer;
    border: 1px solid #ccc;
    border-radius: 4px;
    background: #fff;
}

#mainContent button:hover {
    background: #ddd;
}

#mainContent input, #mainContent select {
    display: inline-block;
    padding: 6px 12px;
    margin-bottom: 0;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.42857143;
    text-align: center;
    white-space: nowrap;
    vertical-align: middle;
    cursor: pointer;
    border: 1px solid #ccc;
    border-radius: 4px;
    background: #fff;
}

#loginBox {
    display: inline-block;
    background: #f5f5f5;
    border: 1px solid #e3e3e3;
    padding: 20px;
    -webkit-box-shadow: 0px 0px 60px rgba(0, 0, 0, 0.5), 0px 1px 0px rgba(255, 255, 255, 0.9) inset;
    -moz-box-shadow: 0px 0px 60px rgba(0, 0, 0, 0.5), 0px 1px 0px rgba(255, 255, 255, 0.9) inset;
    box-shadow: 0px 0px 60px rgba(0, 0, 0, 0.5), 0px 1px 0px rgba(255, 255, 255, 0.9) inset;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}

#logo {
    font-size: 55px;
    font-weight: bold;
    color: #555;
}

#slogan {
    font-size: 26px;
    text-align: left;
    padding: 0 20px;
    color: #999;
    padding-bottom: 10px;
    border-bottom: 1px solid #e5e5e5;
    margin-bottom: 25px;
}

#loginBox .inputBox {
    padding: 2px 0;
}

#loginBox input[type=text], #loginBox input[type=password] {
    width: 100%;
    padding: 5px;
    line-height: 20px;
    background-color: #ffffff;
}

#loginBox button {
    width: 100%;
}

#btnLogout {
    width: 100%;
    height: 100%;
    background: none;
    border: none;
    padding: 8px 0;
}

#btnLogout:hover {
    cursor: pointer;
    color: #ffffff;
    background: #4d4d4d;
}

.leftContent {
    position: absolute;
    right: 10px;
    left: 310px;
    top: 70px;
    bottom: 10px;
}

#calSchedule {
    margin: 0 auto;
}

.rightContent {
    position: absolute;
    left: 0;
    width: 300px;
    top: 70px;
    bottom: 40px;
}

#userScroll {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    border: 1px solid #DDD;
    box-sizing: border-box;
}

.userBox {
    padding: 5px;
    background: #E5E5E5;
    border: 1px solid #CCC;
    border-radius: 15px;
    margin: 2px;
    cursor: pointer;
}

.userBox:hover, .userBox.active {
    background: #F5F5F5;
}

#userTools {
    position: absolute;
    bottom: 0;
    height: 40px;
    left: 0;
    width: 300px;
    background: #DDD;
    z-index: 3;
}

.toolmenu button {
    font-size: 24px;
    cursor: pointer;
    margin: 0;
    border: none;
    border-top: 1px solid #999999;
    border-right: 1px solid #999999;
    height: 100%;
    width: 40px;
}

.toolmenu button:hover, .toolmenu button.active {
    background-color: #808080;
}

.toolmenu button.toggle {
    color: #44cc44;
}

.toolmenu button.danger {
    color: #cc4444;
}

.toolmenu .subMenu {
    display: none;
    position: absolute;
    bottom: 40px;
    left: 0;
    right: 0;
    background: #dddddd;
    border-top: 1px solid #999999;
    border-right: 1px solid #999999;
}

.toolmenu .subMenu div {
    color: #888888;
    padding: 5px;
    font-size: 18px;
}

.toolmenu .subMenu div.active {
    cursor: pointer;
    color: #000000;
}

.toolmenu .subMenu div.active:hover {
    background-color: #808080;
}

.formatBoxContainer {
    min-width: 500px;
    min-height: 150px;
}

.formatBoxContainer table {
    border-collapse: collapse;
    width: 100%;
}

.formatBoxContainer td, .formatBoxContainer th {
    border: 1px solid #000;
    height: 20px;
}

.formatBoxContainer tr:hover td {
    background-color: #c3c3c3;
    cursor: pointer;
}

.formatBoxContainer .removeFormat {
    width: 100%;
}

/*nebAlert*/

#alertOverlay {
    position: fixed;
    width: 100%;
    height: 100%;
    background: #000;
    opacity: 0.9;
    z-index: 9999;
    display: none;
    top: 0;
    left: 0
}

#popup_alert {
    width: 530px;
    position: fixed;
    top: 0;
    left: 50%;
    margin-left: -265px;
    border-radius: 0 0 10px 10px;
    -moz-border-radius: 0 0 10px 10px;
    -webkit-border-radius: 0 0 10px 10px;
    padding: 20px 10px 10px 20px;
    background-color: #ffffff;
    background-repeat: repeat;
    color: #4d4d4d;
    font-size: 15px;
    font-weight: 600;
    z-index: 10000;
    display: none;
    box-shadow: 1px 1px 5px 3px #ccc;
    -moz-box-shadow: 1px 1px 5px 3px #ccc;
    -webkit-box-shadow: 1px 1px 5px 3px #ccc;
}

.alert_icon {
    background-position: 0 0;
    background-repeat: no-repeat;
    width: 56px;
    height: 50px;
    float: left;
}

#alert_msg {
    width: 433px;
    float: left;
    margin: 10px;
    max-height: 95px;
}

#alert_btn {
    float: right;
    margin-top: 10px;
}

#alert_btn [class^='btn_'], #alert_btn [class*=' btn_'] {
    float: left;
    font-weight: normal;
    padding: 5px 15px;
    margin: 0 5px;
    color: #4d4d4d;
    cursor: pointer;
    text-transform: uppercase;
    border-radius: 5px;
    font-size: 13px;
}

#alert_btn [class^='btn_']:hover, #alert_btn [class*=' btn_']:hover {
    opacity: .8;
}

#alert_btn .btn_green {
    background: #44cc44;
}

#alert_btn .btn_orange {
    background: #cc8844;
}

#alert_btn .btn_red {
    background: #cc4444;
}

#alert_btn .btn_grey {
    background: #cccccc;
}

/* Scroll Bar */

.jspContainer {
    overflow: hidden;
    position: relative;
}

.jspPane {
    position: absolute;
    width: 100%;
}

.jspVerticalBar {
    position: absolute;
    top: 0;
    right: 0;
    width: 6px;
    height: 100%;
}

.jspHorizontalBar {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 6px;
}

.jspVerticalBar *, .jspHorizontalBar * {
    margin: 0;
    padding: 0;
}

.jspCap {
    display: none;
}

.jspHorizontalBar .jspCap {
    float: left;
}

.jspTrack {
    position: relative;
}

.jspDrag {
    background: #6B6B6B;
    position: relative;
    top: 0;
    left: 0;
    cursor: pointer;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
}

.jspHorizontalBar .jspTrack, .jspHorizontalBar .jspDrag {
    float: left;
    height: 100%;
}

.jspArrow {
    background: #50506d;
    text-indent: -20000px;
    display: block;
    cursor: pointer;
}

.jspArrow.jspDisabled {
    cursor: default;
}

.jspVerticalBar .jspArrow {
    height: 16px;
}

.jspHorizontalBar .jspArrow {
    width: 16px;
    float: left;
    height: 100%;
}

.jspVerticalBar .jspArrow:focus {
    outline: none;
}

.jspCorner {
    background: #eeeef4;
    float: left;
    height: 100%;
}

[class^='ion-'], [class*=' ion-'] {
    position: relative;
}

.ion-over-close:after {
    content: "\f129";
    display: inline-block;
    font-family: "Ionicons";
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    text-rendering: auto;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    position: absolute;
    /* top: 0; */
    left: 0;
    width: 100%;
    /* height: 100%; */
    z-index: 3;
    color: #000;
}

/* Modal */

.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    /*overflow: auto;*/
    background-color: rgb(0, 0, 0);
    background-color: rgba(0, 0, 0, 0.4);
}

.modalContent {
    display: flex;
    justify-content: center;
    position: relative;
    background-color: #fefefe;
    margin: 50px auto;
    padding: 10px;
    border: 1px solid #888;
    width: 60%;
    max-height: calc(100% - 100px);
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
    animation-name: modalanimatetop;
    animation-duration: 0.4s;
    overflow: auto;
}

@keyframes modalanimatetop {
    from {
        top: -300px;
        opacity: 0
    }
    to {
        top: 0;
        opacity: 1
    }
}

/* Calendar View */

.calView {
    width: 100%;
}

.calView .calendarHeader {
    text-align: center;
    margin: 20px;
}

.calView table {
    width: 100%;
    margin: 0px auto 0px auto
}

.calView table tbody tr {
    border: 1px solid black;
}

#calendar tr {
    height: 100px;
}

.calView td {
    width: 14%;
    min-width: 75px;
    border: 1px solid black;
    vertical-align: top;
}

.calView .dateNum {
    font-weight: bold;
}

.calView .jobEvent {
    margin: 2px;
    padding: 3px;
    -webkit-border-radius: 5px;
    -moz-border-radius: 5px;
    border-radius: 5px;
    color: white;
}

.calView .even {
    background-color: rgb(236, 236, 236);
}

.calView .calendarHeader .calendarBtns div {
    display: inline-block;
    margin: 5px;
    padding: 5px;
    border: 1px solid #c3c3c3;
    cursor: pointer;
}

.calView .calendarHeader .calendarBtns div:hover {
    background: #c3c3c3;
}

.legende {
    margin: 15px 0;
    color: white;
    text-align: center;
}

.legende .col {
    width: 450px;
    display: inline-block;
    padding: 5px 20px;
}

.legende div {
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
    padding: 5px;
    margin: 5px;
}

.livraisons {
    margin-top: 15px;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    border-color: #ddd;
}

.livraisons th {
    text-align: left;
    width: 12.5%;
    background-color: #fafafa;
    padding: 8px;
    color: #000000;
    border-bottom: 2px solid #ddd;
}

.livraisons th.sortable {
    cursor: pointer;
}

.livraisons th.status {
    width: 10%;
}

.livraisons tr {
    color: #fff;
}

.livraisons td {
    color: #fff;
    padding: 3px 8px;
}

.statut-1 td {
    color: #000000;
}

.statut1 {
    background-color: #a0284a;
}

.statut2 {
    background-color: #aa5500;
}

.statut3 {
    background-color: #b0aa18;
}

.statut4 {
    background-color: #25874e;
}

.statut5 {
    background-color: #2589a5;
}

.statut6 {
    background-color: #4c25a5;
}

.statut7 {
    background-color: #5d2c71;
}

.statut8 {
    background-color: #0f0343;
}

.control {
    margin-bottom: 10px;
}

.control label {
    display: inline-block;
    width: 120px;
    vertical-align: top;
}

.control .scheduleInput {
    display: inline-block;
}

.control .inputList {
    display: inline-block;
    width: calc(100% - 120px);
}

#formulaireLivraison .control .inputList input[type="text"] {
    width: 75%;
}

.control .inputGroup {
    display: inline-flex;
}

.control .inputGroup input {
    position: absolute;
    opacity: 0;
    pointer-events: none;
}

.control .inputGroup label {
    width: auto;
    border: 1px solid #ddded9;
    background: linear-gradient(to bottom, #eeeeee 0%, #eeeeee 50%, #e7e7e7 50%, #e7e7e7 100%);
    padding: 6px 10px;
    cursor: pointer;
    display: flex;
    align-items: center;
}

.control .inputGroup label:first-of-type {
    border-radius: 4px 0 0 4px;
}

.control .inputGroup label:last-of-type {
    border-radius: 0 4px 4px 0;
}

.control .inputGroup label:only-of-type {
    border-radius: 4px;
}

.control .inputGroup input:checked+label {
    background: #ffffff;
}

.control .inputGroup input:focus+label {
    border-color: #9c9c9c;
}

.control .inputGroup input:disabled+label {
    opacity: .5;
}

.control .inputGroup .noClick {
    cursor: default;
}

.ora-checkbox {
    height: 0;
    position: relative;
    z-index: 1;
    vertical-align: middle;
    display: inline-block;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

.ora-checkbox .ora-checkbox__input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

.ora-checkbox .ora-checkbox__input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

.ora-checkbox .ora-checkbox__input~.ora-checkbox__label {
    padding-left: 20px;
    position: relative;
    cursor: pointer;
    font-size: 16px;
    line-height: 24px;
    margin: 0;
    width: auto;
}

.ora-checkbox .ora-checkbox__input~.ora-checkbox__label:before {
    content: '';
    position: absolute;
    width: 15px;
    height: 15px;
    left: 0px;
    top: 50%;
    transform: translateY(-50%);
    border: 2px solid #333333;
    box-sizing: border-box;
}

.ora-checkbox .ora-checkbox__input:checked~.ora-checkbox__label:before {
    background-color: #607d8b;
}

.ora-checkbox .ora-checkbox__input:checked~.ora-checkbox__label:after {
    content: '';
    position: absolute;
    left: 5px;
    top: -4px;
    width: 3px;
    height: 6px;
    border: solid white;
    border-width: 0 2px 2px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

.ora-checkbox .ora-checkbox__input~.ora-checkbox__section {
    display: none;
}

.ora-checkbox .ora-checkbox__input:checked~.ora-checkbox__section {
    display: block;
}

#formulaireLivraison tr td {
    padding: 5px 2px;
}

#formulaireLivraison input[type=text], #formulaireLivraison select, #formulaireLivraison textarea {
    width: 50%;
    margin: 2px;
    padding: 5px;
    box-sizing: border-box;
}

#formulaireLivraison input:focus, #formulaireLivraison button:focus, #formulaireLivraison select:focus, #formulaireLivraison textarea:focus {
    outline: #9c9c9c solid thin;
}

#formulaireLivraison input[type=text].error {
    border-color: #9c1111;
}

.arrow {
    display: inline-block;
    vertical-align: top;
    margin-left: 5px;
    width: 11px;
    height: 14px;
}

.arrow.arrow-up {
    background-image: url("img/arrow_up_black.gif");
}

.arrow.arrow-down {
    background-image: url("img/arrow_down_black.gif");
}

.required {
    -webkit-box-shadow: 0px 0px 10px 0px rgba(255, 0, 0, 1);
    -moz-box-shadow: 0px 0px 10px 0px rgba(255, 0, 0, 1);
    box-shadow: 0px 0px 10px 0px rgba(255, 0, 0, 1);
}

.noStockIcon {
    width: 38px;
    height: 38px;
    background-image: url("img/icons/noStockIcon.png");
    display: inline-block;
}

.heureLivraisonIcon {
    width: 38px;
    height: 38px;
    background-image: url("img/icons/heureLivraisonIcon.png");
    display: inline-block;
}

.iconGray {
    vertical-align: middle;
    color: white;
    font-size: 15px;
    margin: 2px;
    display: inline-block;
    width: 20px;
    padding: 2px;
    text-align: center;
    background-color: gray;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
    border: 1px solid #3c3c3c;
}

.iconGreen {
    vertical-align: middle;
    color: white;
    font-size: 15px;
    margin: 2px;
    display: inline-block;
    width: 20px;
    padding: 2px;
    text-align: center;
    background-color: green;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
    border: 1px solid #3c3c3c;
}

.iconRed {
    vertical-align: middle;
    color: white;
    font-size: 15px;
    margin: 2px;
    display: inline-block;
    width: 20px;
    padding: 2px;
    text-align: center;
    background-color: red;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
    border: 1px solid #3c3c3c;
}

.iconYellow {
    vertical-align: middle;
    color: grey;
    font-size: 15px;
    margin: 2px;
    display: inline-block;
    width: 20px;
    padding: 2px;
    text-align: center;
    background-color: yellow;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    border-radius: 10px;
    border: 1px solid #3c3c3c;
}

.iconApproved {
    color: green;
    font-size: 25px;
    padding: 5px;
    vertical-align: middle;
}

.iconInfo {
    color: gray;
    font-size: 25px;
    padding: 5px;
    vertical-align: middle;
}

.timeslotBox {
    position: relative;
}

.timeslotBox .hourRow, .timeslotBox .userRow {
    height: 20px;
    position: relative;
    margin: 5px 0;
}

.timeslotBox .userRow .userData {
    height: 20px;
    position: relative;
}

.timeslotBox .firstCol {
    width: 90px;
    height: 20px;
    color: #4E6FD0;
}

.timeslotBox .hourCell, .timeslotBox .firstCol, .timeslotBox .userData {
    float: left;
}

.timeslotBox .hourCell, .timeslotBox .timeslot {
    width: 40px;
    box-sizing: border-box;
}

.timeslotBox .hourCell {
    text-align: center;
    border: 1px solid #000000;
    border-collapse: collapse;
}

.timeslotBox .timeslot {
    background: #4E6FD0;
    border: 1px solid #555555;
    height: 20px;
    position: absolute;
    cursor: pointer;
}

.timeslotBox .timeslot.fi {
    background: #DADC5B;
}

.timeslotBox .timeslot.match {
    background: #36C336;
}

.timeslotBox .timeslot.selected {
    background: #000;
}

.timeslotBox .timeslot.filled {
    background: #FF9999;
}

/*!
 * FullCalendar v2.1.1 Stylesheet
 * Docs & License: http://arshaw.com/fullcalendar/
 * (c) 2013 Adam Shaw
 */

.fc {
    direction: ltr;
    text-align: left;
}

.fc-rtl {
    text-align: right;
}

body .fc {
    font-size: 1em;
}

/* Colors
--------------------------------------------------------------------------------------------------*/

.fc-unthemed th, .fc-unthemed td, .fc-unthemed hr, .fc-unthemed thead, .fc-unthemed tbody, .fc-unthemed .fc-row, .fc-unthemed .fc-popover {
    border-color: #ddd;
}

.fc-unthemed .fc-popover {
    background-color: #fff;
}

.fc-unthemed hr, .fc-unthemed .fc-popover .fc-header {
    background: #eee;
}

.fc-unthemed .fc-popover .fc-header .fc-close {
    color: #666;
}

.fc-unthemed .fc-today {
    background: #fcf8e3;
}

.fc-highlight {
    /* when user is selecting cells */
    background: #bce8f1;
    opacity: .3;
    filter: alpha(opacity=30);
    /* for IE */
}

/* Icons (inline elements with styled text that mock arrow icons)
--------------------------------------------------------------------------------------------------*/

.fc-icon {
    display: inline-block;
    font-size: 2em;
    line-height: .5em;
    height: .5em;
    /* will make the total height 1em */
    font-family: "Courier New", Courier, monospace;
}

.fc-icon-left-single-arrow:after {
    content: "\02039";
    font-weight: bold;
}

.fc-icon-right-single-arrow:after {
    content: "\0203A";
    font-weight: bold;
}

.fc-icon-left-double-arrow:after {
    content: "\000AB";
}

.fc-icon-right-double-arrow:after {
    content: "\000BB";
}

.fc-icon-x:after {
    content: "\000D7";
}

/* Buttons (styled <button> tags, normalized to work cross-browser)
--------------------------------------------------------------------------------------------------*/

.fc button {
    /* force height to include the border and padding */
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    /* dimensions */
    margin: 0;
    height: 2.1em;
    padding: 0 .6em;
    /* text & cursor */
    font-size: 1em;
    /* normalize */
    white-space: nowrap;
    cursor: pointer;
}

/* Firefox has an annoying inner border */

.fc button::-moz-focus-inner {
    margin: 0;
    padding: 0;
}

.fc-state-default {
    /* non-theme */
    border: 1px solid;
}

.fc-state-default.fc-corner-left {
    /* non-theme */
    border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}

.fc-state-default.fc-corner-right {
    /* non-theme */
    border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}

/* icons in buttons */

.fc button .fc-icon {
    /* non-theme */
    position: relative;
    top: .05em;
    /* seems to be a good adjustment across browsers */
    margin: 0 .1em;
}

/*
  button states
  borrowed from twitter bootstrap (http://twitter.github.com/bootstrap/)
*/

.fc-state-default {
    background-color: #f5f5f5;
    background-image: -moz-linear-gradient(top, #ffffff, #e6e6e6);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#e6e6e6));
    background-image: -webkit-linear-gradient(top, #ffffff, #e6e6e6);
    background-image: -o-linear-gradient(top, #ffffff, #e6e6e6);
    background-image: linear-gradient(to bottom, #ffffff, #e6e6e6);
    background-repeat: repeat-x;
    border-color: #e6e6e6 #e6e6e6 #bfbfbf;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25);
    color: #333;
    text-shadow: 0 1px 1px rgba(255, 255, 255, 0.75);
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.2), 0 1px 2px rgba(0, 0, 0, 0.05);
}

.fc-state-hover, .fc-state-down, .fc-state-active, .fc-state-disabled {
    color: #333333;
    background-color: #e6e6e6;
}

.fc-state-hover {
    color: #333333;
    text-decoration: none;
    background-position: 0 -15px;
    -webkit-transition: background-position 0.1s linear;
    -moz-transition: background-position 0.1s linear;
    -o-transition: background-position 0.1s linear;
    transition: background-position 0.1s linear;
}

.fc-state-down, .fc-state-active {
    background-color: #cccccc;
    background-image: none;
    box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.15), 0 1px 2px rgba(0, 0, 0, 0.05);
}

.fc-state-disabled {
    cursor: default;
    background-image: none;
    opacity: 0.65;
    filter: alpha(opacity=65);
    box-shadow: none;
}

/* Buttons Groups
--------------------------------------------------------------------------------------------------*/

.fc-button-group {
    display: inline-block;
}

/*
every button that is not first in a button group should scootch over one pixel and cover the
previous button's border...
*/

.fc .fc-button-group>* {
    /* extra precedence b/c buttons have margin set to zero */
    float: left;
    margin: 0 0 0 -1px;
}

.fc .fc-button-group> :first-child {
    /* same */
    margin-left: 0;
}

/* Popover
--------------------------------------------------------------------------------------------------*/

.fc-popover {
    position: absolute;
    box-shadow: 0 2px 6px rgba(0, 0, 0, .15);
}

.fc-popover .fc-header {
    padding: 2px 4px;
}

.fc-popover .fc-header .fc-title {
    margin: 0 2px;
}

.fc-popover .fc-header .fc-close {
    cursor: pointer;
}

.fc-ltr .fc-popover .fc-header .fc-title, .fc-rtl .fc-popover .fc-header .fc-close {
    float: left;
}

.fc-rtl .fc-popover .fc-header .fc-title, .fc-ltr .fc-popover .fc-header .fc-close {
    float: right;
}

/* unthemed */

.fc-unthemed .fc-popover {
    border-width: 1px;
    border-style: solid;
}

.fc-unthemed .fc-popover .fc-header .fc-close {
    font-size: 25px;
    margin-top: 4px;
}

/* jqui themed */

.fc-popover>.ui-widget-header+.ui-widget-content {
    border-top: 0;
    /* where they meet, let the header have the border */
}

/* Misc Reusable Components
--------------------------------------------------------------------------------------------------*/

.fc hr {
    height: 0;
    margin: 0;
    padding: 0 0 2px;
    /* height is unreliable across browsers, so use padding */
    border-style: solid;
    border-width: 1px 0;
}

.fc-clear {
    clear: both;
}

.fc-bg, .fc-highlight-skeleton, .fc-helper-skeleton {
    /* these element should always cling to top-left/right corners */
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
}

.fc-bg {
    bottom: 0;
    /* strech bg to bottom edge */
}

.fc-bg table {
    height: 100%;
    /* strech bg to bottom edge */
}

/* Tables
--------------------------------------------------------------------------------------------------*/

.fc table {
    width: 100%;
    table-layout: fixed;
    border-collapse: collapse;
    border-spacing: 0;
    font-size: 1em;
    /* normalize cross-browser */
}

.fc th {
    text-align: center;
}

.fc th, .fc td {
    border-style: solid;
    border-width: 1px;
    padding: 0;
    vertical-align: top;
}

.fc td.fc-today {
    border-style: double;
    /* overcome neighboring borders */
}

/* Fake Table Rows
--------------------------------------------------------------------------------------------------*/

.fc .fc-row {
    /* extra precedence to overcome themes w/ .ui-widget-content forcing a 1px border */
    /* no visible border by default. but make available if need be (scrollbar width compensation) */
    border-style: solid;
    border-width: 0;
}

.fc-row table {
    /* don't put left/right border on anything within a fake row.
	   the outer tbody will worry about this */
    border-left: 0 hidden transparent;
    border-right: 0 hidden transparent;
    /* no bottom borders on rows */
    border-bottom: 0 hidden transparent;
}

.fc-row:first-child table {
    border-top: 0 hidden transparent;
    /* no top border on first row */
}

/* Day Row (used within the header and the DayGrid)
--------------------------------------------------------------------------------------------------*/

.fc-row {
    position: relative;
}

.fc-row .fc-bg {
    z-index: 1;
}

/* highlighting cells */

.fc-row .fc-highlight-skeleton {
    z-index: 2;
    bottom: 0;
    /* stretch skeleton to bottom of row */
}

.fc-row .fc-highlight-skeleton table {
    height: 100%;
    /* stretch skeleton to bottom of row */
}

.fc-row .fc-highlight-skeleton td {
    border-color: transparent;
}

/*
row content (which contains day/week numbers and events) as well as "helper" (which contains
temporary rendered events).
*/

.fc-row .fc-content-skeleton {
    position: relative;
    z-index: 3;
    padding-bottom: 2px;
    /* matches the space above the events */
}

.fc-row .fc-helper-skeleton {
    z-index: 4;
}

.fc-row .fc-content-skeleton td, .fc-row .fc-helper-skeleton td {
    /* see-through to the background below */
    background: none;
    /* in case <td>s are globally styled */
    border-color: transparent;
    /* don't put a border between events and/or the day number */
    border-bottom: 0;
}

.fc-row .fc-content-skeleton tbody td,
/* cells with events inside (so NOT the day number cell) */

.fc-row .fc-helper-skeleton tbody td {
    /* don't put a border between event cells */
    border-top: 0;
}

/* Scrolling Container
--------------------------------------------------------------------------------------------------*/

.fc-scroller {
    /* this class goes on elements for guaranteed vertical scrollbars */
    overflow-y: scroll;
    overflow-x: hidden;
}

.fc-scroller>* {
    /* we expect an immediate inner element */
    position: relative;
    /* re-scope all positions */
    width: 100%;
    /* hack to force re-sizing this inner element when scrollbars appear/disappear */
    overflow: hidden;
    /* don't let negative margins or absolute positioning create further scroll */
}

/* Global Event Styles
--------------------------------------------------------------------------------------------------*/

.fc-event {
    position: relative;
    /* for resize handle and other inner positioning */
    display: block;
    /* make the <a> tag block */
    font-size: .85em;
    line-height: 1.3;
    border-radius: 3px;
    border: 1px solid #3a87ad;
    /* default BORDER color */
    background-color: #3a87ad;
    /* default BACKGROUND color */
    font-weight: normal;
    /* undo jqui's ui-widget-header bold */
}

/* overpower some of bootstrap's and jqui's styles on <a> tags */

.fc-event, .fc-event:hover, .ui-widget .fc-event {
    color: #fff;
    /* default TEXT color */
    text-decoration: none;
    /* if <a> has an href */
}

.fc-event[href], .fc-event.fc-draggable {
    cursor: pointer;
    /* give events with links and draggable events a hand mouse pointer */
}

/* DayGrid events
----------------------------------------------------------------------------------------------------
We use the full "fc-day-grid-event" class instead of using descendants because the event won't
be a descendant of the grid when it is being dragged.
*/

.fc-day-grid-event {
    margin: 1px 2px 0;
    /* spacing between events and edges */
    padding: 0 1px;
}

/* events that are continuing to/from another week. kill rounded corners and butt up against edge */

.fc-ltr .fc-day-grid-event.fc-not-start, .fc-rtl .fc-day-grid-event.fc-not-end {
    margin-left: 0;
    border-left-width: 0;
    padding-left: 1px;
    /* replace the border with padding */
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.fc-ltr .fc-day-grid-event.fc-not-end, .fc-rtl .fc-day-grid-event.fc-not-start {
    margin-right: 0;
    border-right-width: 0;
    padding-right: 1px;
    /* replace the border with padding */
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

.fc-day-grid-event>.fc-content {
    /* force events to be one-line tall */
    white-space: nowrap;
    overflow: hidden;
}

.fc-day-grid-event .fc-time {
    font-weight: bold;
}

/* resize handle (outside of fc-content, so can go outside of bounds) */

.fc-day-grid-event .fc-resizer {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 7px;
}

.fc-ltr .fc-day-grid-event .fc-resizer {
    right: -3px;
    cursor: e-resize;
}

.fc-rtl .fc-day-grid-event .fc-resizer {
    left: -3px;
    cursor: w-resize;
}

/* Event Limiting
--------------------------------------------------------------------------------------------------*/

/* "more" link that represents hidden events */

a.fc-more {
    margin: 1px 3px;
    font-size: .85em;
    cursor: pointer;
    text-decoration: none;
}

a.fc-more:hover {
    text-decoration: underline;
}

.fc-limited {
    /* rows and cells that are hidden because of a "more" link */
    display: none;
}

/* popover that appears when "more" link is clicked */

.fc-day-grid .fc-row {
    z-index: 1;
    /* make the "more" popover one higher than this */
}

.fc-more-popover {
    z-index: 2;
    width: 220px;
}

.fc-more-popover .fc-event-container {
    padding: 10px;
}

/* Toolbar
--------------------------------------------------------------------------------------------------*/

.fc-toolbar {
    text-align: center;
    margin-bottom: 1em;
}

.fc-toolbar .fc-left {
    float: left;
}

.fc-toolbar .fc-right {
    float: right;
}

.fc-toolbar .fc-center {
    display: inline-block;
}

/* the things within each left/right/center section */

.fc .fc-toolbar>*>* {
    /* extra precedence to override button border margins */
    float: left;
    margin-left: .75em;
}

/* the first thing within each left/center/right section */

.fc .fc-toolbar>*> :first-child {
    /* extra precedence to override button border margins */
    margin-left: 0;
}

/* title text */

.fc-toolbar h2 {
    margin: 0;
}

/* button layering (for border precedence) */

.fc-toolbar button {
    position: relative;
}

.fc-toolbar .fc-state-hover, .fc-toolbar .ui-state-hover {
    z-index: 2;
}

.fc-toolbar .fc-state-down {
    z-index: 3;
}

.fc-toolbar .fc-state-active, .fc-toolbar .ui-state-active {
    z-index: 4;
}

.fc-toolbar button:focus {
    z-index: 5;
}

/* View Structure
--------------------------------------------------------------------------------------------------*/

/* undo twitter bootstrap's box-sizing rules. normalizes positioning techniques */

/* don't do this for the toolbar because we'll want bootstrap to style those buttons as some pt */

.fc-view-container *, .fc-view-container *:before, .fc-view-container *:after {
    -webkit-box-sizing: content-box;
    -moz-box-sizing: content-box;
    box-sizing: content-box;
}

.fc-view,
/* scope positioning and z-index's for everything within the view */

.fc-view>table {
    /* so dragged elements can be above the view's main element */
    position: relative;
    z-index: 1;
}

/* BasicView
--------------------------------------------------------------------------------------------------*/

/* day row structure */

.fc-basicWeek-view .fc-content-skeleton, .fc-basicDay-view .fc-content-skeleton {
    /* we are sure there are no day numbers in these views, so... */
    padding-top: 1px;
    /* add a pixel to make sure there are 2px padding above events */
    padding-bottom: 1em;
    /* ensure a space at bottom of cell for user selecting/clicking */
}

.fc-basic-view tbody .fc-row {
    min-height: 4em;
    /* ensure that all rows are at least this tall */
}

/* a "rigid" row will take up a constant amount of height because content-skeleton is absolute */

.fc-row.fc-rigid {
    overflow: hidden;
}

.fc-row.fc-rigid .fc-content-skeleton {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
}

/* week and day number styling */

.fc-basic-view .fc-week-number, .fc-basic-view .fc-day-number {
    padding: 0 2px;
}

.fc-basic-view td.fc-week-number span, .fc-basic-view td.fc-day-number {
    padding-top: 2px;
    padding-bottom: 2px;
}

.fc-basic-view .fc-week-number {
    text-align: center;
}

.fc-basic-view .fc-week-number span {
    /* work around the way we do column resizing and ensure a minimum width */
    display: inline-block;
    min-width: 1.25em;
}

.fc-ltr .fc-basic-view .fc-day-number {
    text-align: right;
}

.fc-rtl .fc-basic-view .fc-day-number {
    text-align: left;
}

.fc-day-number.fc-other-month {
    opacity: 0.3;
    filter: alpha(opacity=30);
    /* for IE */
    /* opacity with small font can sometimes look too faded
	   might want to set the 'color' property instead
	   making day-numbers bold also fixes the problem */
}

/* AgendaView all-day area
--------------------------------------------------------------------------------------------------*/

.fc-agenda-view .fc-day-grid {
    position: relative;
    z-index: 2;
    /* so the "more.." popover will be over the time grid */
}

.fc-agenda-view .fc-day-grid .fc-row {
    min-height: 3em;
    /* all-day section will never get shorter than this */
}

.fc-agenda-view .fc-day-grid .fc-row .fc-content-skeleton {
    padding-top: 1px;
    /* add a pixel to make sure there are 2px padding above events */
    padding-bottom: 1em;
    /* give space underneath events for clicking/selecting days */
}

/* TimeGrid axis running down the side (for both the all-day area and the slot area)
--------------------------------------------------------------------------------------------------*/

.fc .fc-axis {
    /* .fc to overcome default cell styles */
    vertical-align: middle;
    padding: 0 4px;
    white-space: nowrap;
}

.fc-ltr .fc-axis {
    text-align: right;
}

.fc-rtl .fc-axis {
    text-align: left;
}

.ui-widget td.fc-axis {
    font-weight: normal;
    /* overcome jqui theme making it bold */
}

/* TimeGrid Structure
--------------------------------------------------------------------------------------------------*/

.fc-time-grid-container,
/* so scroll container's z-index is below all-day */

.fc-time-grid {
    /* so slats/bg/content/etc positions get scoped within here */
    position: relative;
    z-index: 1;
}

.fc-time-grid {
    min-height: 100%;
    /* so if height setting is 'auto', .fc-bg stretches to fill height */
}

.fc-time-grid table {
    /* don't put outer borders on slats/bg/content/etc */
    border: 0 hidden transparent;
}

.fc-time-grid>.fc-bg {
    z-index: 1;
}

.fc-time-grid .fc-slats, .fc-time-grid>hr {
    /* the <hr> AgendaView injects when grid is shorter than scroller */
    position: relative;
    z-index: 2;
}

.fc-time-grid .fc-highlight-skeleton {
    z-index: 3;
}

.fc-time-grid .fc-content-skeleton {
    position: absolute;
    z-index: 4;
    top: 0;
    left: 0;
    right: 0;
}

.fc-time-grid>.fc-helper-skeleton {
    z-index: 5;
}

/* TimeGrid Slats (lines that run horizontally)
--------------------------------------------------------------------------------------------------*/

.fc-slats td {
    height: 1.5em;
    border-bottom: 0;
    /* each cell is responsible for its top border */
}

.fc-slats .fc-minor td {
    border-top-style: dotted;
}

.fc-slats .ui-widget-content {
    /* for jqui theme */
    background: none;
    /* see through to fc-bg */
}

/* TimeGrid Highlighting Slots
--------------------------------------------------------------------------------------------------*/

.fc-time-grid .fc-highlight-container {
    /* a div within a cell within the fc-highlight-skeleton */
    position: relative;
    /* scopes the left/right of the fc-highlight to be in the column */
}

.fc-time-grid .fc-highlight {
    position: absolute;
    left: 0;
    right: 0;
    /* top and bottom will be in by JS */
}

/* TimeGrid Event Containment
--------------------------------------------------------------------------------------------------*/

.fc-time-grid .fc-event-container {
    /* a div within a cell within the fc-content-skeleton */
    position: relative;
}

.fc-ltr .fc-time-grid .fc-event-container {
    /* space on the sides of events for LTR (default) */
    margin: 0 2.5% 0 2px;
}

.fc-rtl .fc-time-grid .fc-event-container {
    /* space on the sides of events for RTL */
    margin: 0 2px 0 2.5%;
}

.fc-time-grid .fc-event {
    position: absolute;
    z-index: 1;
    /* scope inner z-index's */
}

/* TimeGrid Event Styling
----------------------------------------------------------------------------------------------------
We use the full "fc-time-grid-event" class instead of using descendants because the event won't
be a descendant of the grid when it is being dragged.
*/

.fc-time-grid-event.fc-not-start {
    /* events that are continuing from another day */
    /* replace space made by the top border with padding */
    border-top-width: 0;
    padding-top: 1px;
    /* remove top rounded corners */
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.fc-time-grid-event.fc-not-end {
    /* replace space made by the top border with padding */
    border-bottom-width: 0;
    padding-bottom: 1px;
    /* remove bottom rounded corners */
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}

.fc-time-grid-event {
    overflow: hidden;
    /* don't let the bg flow over rounded corners */
}

.fc-time-grid-event>.fc-content {
    /* contains the time and title, but no bg and resizer */
    position: relative;
    z-index: 2;
    /* above the bg */
}

.fc-time-grid-event .fc-time, .fc-time-grid-event .fc-title {
    padding: 0 1px;
}

.fc-time-grid-event .fc-time {
    font-size: .85em;
    white-space: nowrap;
}

.fc-time-grid-event .fc-bg {
    z-index: 1;
    background: #fff;
    opacity: .25;
    filter: alpha(opacity=25);
    /* for IE */
}

/* short mode, where time and title are on the same line */

.fc-time-grid-event.fc-short .fc-content {
    /* don't wrap to second line (now that contents will be inline) */
    white-space: nowrap;
}

.fc-time-grid-event.fc-short .fc-time, .fc-time-grid-event.fc-short .fc-title {
    /* put the time and title on the same line */
    display: inline-block;
    vertical-align: top;
}

.fc-time-grid-event.fc-short .fc-time span {
    display: none;
    /* don't display the full time text... */
}

.fc-time-grid-event.fc-short .fc-time:before {
    content: attr(data-start);
    /* ...instead, display only the start time */
}

.fc-time-grid-event.fc-short .fc-time:after {
    content: "\000A0-\000A0";
    /* seperate with a dash, wrapped in nbsp's */
}

.fc-time-grid-event.fc-short .fc-title {
    font-size: .85em;
    /* make the title text the same size as the time */
    padding: 0;
    /* undo padding from above */
}

/* resizer */

.fc-time-grid-event .fc-resizer {
    position: absolute;
    z-index: 3;
    /* above content */
    left: 0;
    right: 0;
    bottom: 0;
    height: 8px;
    overflow: hidden;
    line-height: 8px;
    font-size: 11px;
    font-family: monospace;
    text-align: center;
    cursor: s-resize;
}

.fc-time-grid-event .fc-resizer:after {
    content: "=";
}

@page {
    margin: 0.5cm;
}

@media print {
    body.hasModal #mainContent {
        display: none !important;
    }

    #header, input:not(:checked)+label, button, .timeslotBox {
        display: none !important;
    }
    #content {
        top: 0;
    }
    .modal {
        position: absolute;
    }
    .modalContent {
        margin: 0;
        border: none;
        padding: 0;
        width: 100%;
        max-height: none;
        box-shadow: none;
    }
    .control {
        border-bottom: 1px solid #c3c3c3;
    }
    .ora-checkbox input {
        display: inline;
    }
    select, input {
        background: none !important;
        border: none;
        -webkit-appearance: none;
        margin: 0 !important;
        padding: 0 !important;
    }
    input:checked+label {
        border: none !important;
        padding: 0 !important;
    }
}

@page {
    margin: 0.5cm;
}

@media print {
    #header, input:not(:checked)+label, button, .timeslotBox, h1 {
        display: none !important;
    }
    #content {
        top: 0;
    }
    .modal {
        position: absolute;
    }
    .modalContent {
        margin: 0;
        border: none;
        padding: 0;
        width: 100%;
        max-height: none;
        box-shadow: none;
    }
    .control {
        padding-bottom: 2px;
        border-bottom: 1px solid #c3c3c3;
    }
    select, input {
        background: none !important;
        border: none;
        -webkit-appearance: none;
        margin: 0 !important;
        padding: 0 !important;
    }
    input:checked+label {
        border: none !important;
        padding: 0 !important;
    }
    .ora-checkbox input+label, .ora-checkbox input:not(:checked)+label {
        display: inline-block !important;
        padding-left: 20px !important;
    }
    .ora-checkbox input:checked+label:before {
        background: none !important;
    }
    .ora-checkbox input:checked+label:after {
        border-color: #000 !important;
    }
}